Loading...
Searching...
No Matches
RichText Class Reference

RichText. More...

`#include <rtf.h>`

Inheritance diagram for RichText:

## Static Public Member Functions

static void | enrichLogs (QString &rich_content, const std::string &content, const FormatOps::LogsFormat &logs_format, TextBrowser &TB)
| Enriches the content of a log file with HTML/CSS code. More...
static void | richLogsDefault (QString &rich_str)
| Provides the default string. More...
static void | richLogsFailure (QString &rich_str)
| Provides the failure string. More...

## Detailed Description

RichText.

Utilities for the TextBrowser

## Member Function Documentation

## enrichLogs()

void RichText::enrichLogs | ( | QString & | rich_content,
|  | const std::string & | content,
|  | const FormatOps::LogsFormat & | logs_format,
|  | TextBrowser & | TB
| ) |  |

static

Enriches the content of a log file with HTML/CSS code.

Parameters

  rich_content | Will hold the final enriched content
  content | The plain text content from a log file
  logs_format | The logs format to use
  TB | The TextBrowser instance

## richLogsDefault()

void RichText::richLogsDefault | ( | QString & | rich_str | ) |

static

Provides the default string.

Parameters

  rich_str | Will hold the string

## richLogsFailure()

void RichText::richLogsFailure | ( | QString & | rich_str | ) |

static

Provides the failure string.

Parameters

  rich_str | Will hold the string

The documentation for this class was generated from the following files:

- logdoctor/utilities/rtf.h
- logdoctor/utilities/rtf.cpp